Subject: Re: Section 5.2.3 of latest draft: bis14.

From: Ben Laurie <[email-masked]>
Date: Mon, 15 Aug 2005 15:16:06 +0100

Hal Finney wrote:
> Levi Broderick writes:
> 
>>I noticed that the following bullet is missing from the latest draft.
>>It used to appear between 'One-octet hash algorithm' and 'Hashed
>>subpacket data set' in section 5.2.3.
>>
>>      - Two-octet scalar octet count for following hashed subpacket
>>        data. Note that this is the length in octets of all of the hashed
>>        subpackets; a pointer incremented by this number will skip over
>>        the hashed subpackets.
> 
> 
> This is definitely an error and needs to be fixed.

I believe the idea was to eliminate this and the following instance for 
unhashed subpacket data sets, since the count is defined there.

> A couple of other relatively minor points relating to this section.
> 
> We now use the term "data set" for the hashed and unhashed subpackets:
> 
>       - Hashed subpacket data set. (zero or more subpackets)
> 
>       - Two-octet scalar octet count for the following unhashed
>         subpacket data. Note that this is the length in octets of all of
>         the unhashed subpackets; a pointer incremented by this number
>         will skip over the unhashed subpackets.
> 
>       - Unhashed subpacket data set. (zero or more subpackets)
> 
> "Data set" is defined in the next section, 5.2.3.1:
> 
>     A subpacket data set consists of zero or more signature subpackets,
>     preceded by a two-octet scalar count of the length in octets of all
>     the subpackets; a pointer incremented by this number will skip over
>     the subpacket data set.
> 
> This definition could be interpreted to mean that the data set includes
> the two-octet scalar count.  In fact, in the layout in 5.2.3 the data
> set does not include the scalar count.  5.2.3.1 could be reworded to say
> "A subpacket data set consists of zero or more signature subpackets,
> AND IS preceded by a two-octet scalar count..."

There's no penalty for clarity, right? So why not add "Note that the 
count is the number of bytes to skip after the count itself has been 
read", for instance.

Cheers,

Ben.

-- 
http://www.apache-ssl.org/ben.html       http://www.thebunker.net/

"There is no limit to what a man can do or how far he can go if he
doesn't mind who gets the credit." - Robert Woodruff